export declare type Executor = (signal?: any) => Promise<any>;
export declare type AbortFunction = () => void;
export declare type CancelFunction = () => void;
export interface IAbortController {
    signal: any;
    abort: AbortFunction;
}
export declare class Polling {
    private _executor;
    private _interval;
    private _abortController?;
    private _state;
    private _scheduleId;
    constructor(executor: Executor, interval: number, abortController?: IAbortController);
    get state(): String;
    run: () => CancelFunction;
    cancel: CancelFunction;
    private _cancel;
    private _run;
    private _schedule;
}
export declare function setPolling(executor: Executor, interval: number, abortController?: IAbortController): CancelFunction;
