export declare abstract class State {
    abstract cancel(polling: Function): State;
    abstract run(callback: Function): State;
}
export declare class Pending extends State {
    run(callback: Function): State;
    cancel(callback: Function): State;
}
export declare class Running extends State {
    run(callback: Function): State;
    cancel(callback: Function): State;
    schedule(callback: Function): void;
}
export declare class Canceled extends State {
    run(callback: Function): State;
    cancel(callback: Function): State;
}
